com.smartgwt.client.widgets.calendar

## Class EventCanvas

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.layout.Layout
          - - com.smartgwt.client.widgets.layout.VLayout
            - - com.smartgwt.client.widgets.calendar.EventCanvas

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasRuleContextChangedHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers, HasMembersChangedHandlers
  Direct Known Subclasses:
    IndicatorCanvas, ZoneCanvas

      public class EventCanvas
      extends VLayout

  The EventCanvas component is a lightweight `layout` subclass for displaying a `CalendarEvent` in a `CalendarView`.

  Each instance can be `styled`, and can render a single area, or separate `header` and `body` areas, for the look of a Window.

  The component's close and context buttons, and any necessary resizers, are shown on `rollover`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventCanvas()`
    `EventCanvas(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.String` | `getBodyHTML()` Return the HTML to show in the body of this EventCanvas.
    `java.lang.String` | `getBodyStyle()` CSS class for the `body area` of the EventCanvas.
    `Calendar` | `getCalendar()` The `Calendar` in which this EventCanvas is being rendered.
    `CalendarView` | `getCalendarView()` The `CalendarView` in which this EventCanvas is being rendered.
    `CalendarEvent` | `getEvent()` The `event` associated with this EventCanvas.
    `Img` | `getGripper()` When `showGripper` is true, this is the component that will be rendered adjacent to the canvas and allow the canvas to be moved with the mouse.
    `java.lang.String` | `getGripperIcon()` The source for the icon displayed as the "gripper" that snaps to the top of an event canvas and allows an event to be dragged with the mouse.
    `java.lang.Integer` | `getHeaderHeight()` The height for the `header area`, when `headerWrap` is false and `showBody` is true.
    `java.lang.String` | `getHeaderHTML()` Returns the HTML to show in the header of this EventCanvas.
    `java.lang.String` | `getHeaderStyle()` CSS class for the `header area` of the EventCanvas.
    `java.lang.Boolean` | `getHeaderWrap()` Whether the `header area` should autosize vertically to display all contents.
    `java.lang.String` | `getInnerHTML()` Returns the HTML to show in the EventCanvas as a whole.
    `Label` | `getLabel()` When `showLabel` is true, this autoChild is used to display the `header text`, adjacent to this eventCanvas.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `static EventCanvas` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowBody()` Renders a body DIV that fills the main area of the canvas, or all of it if no `header` is shown.
    `java.lang.Boolean` | `getShowGripper()` When set to true, shows the `gripper` component, which snaps, centered, to the top edge of the eventCanvas and can be used to move it with the mouse.
    `java.lang.Boolean` | `getShowHeader()` Renders a header DIV above the main body of the event, an area of limited height, styled to stand out from the main `body` of the event, and typically showing a `name` or title - like a Window.
    `java.lang.Boolean` | `getShowLabel()` When set to true, the `header text` for the associated event is not rendered inside the eventCanvas itself.
    `java.lang.Boolean` | `getShowRolloverControls()` When set to the default value of true, this attribute causes a set of components to be shown when the mouse rolls over this EventCanvas.
    `java.lang.String` | `getStyleName()` The CSS class for this EventCanvas.
    `java.lang.Boolean` | `getVertical()` Indicates the orientation of the event in its containing view.
    `void` | `setBodyStyle(java.lang.String bodyStyle)` CSS class for the `body area` of the EventCanvas.
    `void` | `setCalendar(Calendar calendar)` The `Calendar` in which this EventCanvas is being rendered.
    `void` | `setCalendarView(CalendarView calendarView)` The `CalendarView` in which this EventCanvas is being rendered.
    `static void` | `setDefaultProperties(EventCanvas eventCanvasProperties)` Class level method to set the default properties of this class.
    `void` | `setEvent(CalendarEvent event)` The `event` associated with this EventCanvas.
    `void` | `setGripperIcon(java.lang.String gripperIcon)` The source for the icon displayed as the "gripper" that snaps to the top of an event canvas and allows an event to be dragged with the mouse.
    `void` | `setHeaderHeight(java.lang.Integer headerHeight)` The height for the `header area`, when `headerWrap` is false and `showBody` is true.
    `void` | `setHeaderStyle(java.lang.String headerStyle)` CSS class for the `header area` of the EventCanvas.
    `void` | `setHeaderWrap(java.lang.Boolean headerWrap)` Whether the `header area` should autosize vertically to display all contents.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.calendar.EventCanvasLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setShowBody(java.lang.Boolean showBody)` Renders a body DIV that fills the main area of the canvas, or all of it if no `header` is shown.
    `void` | `setShowGripper(java.lang.Boolean showGripper)` When set to true, shows the `gripper` component, which snaps, centered, to the top edge of the eventCanvas and can be used to move it with the mouse.
    `void` | `setShowHeader(java.lang.Boolean showHeader)` Renders a header DIV above the main body of the event, an area of limited height, styled to stand out from the main `body` of the event, and typically showing a `name` or title - like a Window.
    `void` | `setShowLabel(java.lang.Boolean showLabel)` When set to true, the `header text` for the associated event is not rendered inside the eventCanvas itself.
    `void` | `setShowRolloverControls(java.lang.Boolean showRolloverControls)` When set to the default value of true, this attribute causes a set of components to be shown when the mouse rolls over this EventCanvas.
    `void` | `setStyleName(java.lang.String styleName)` The CSS class for this EventCanvas.
    `void` | `setVertical(java.lang.Boolean vertical)` Indicates the orientation of the event in its containing view.

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

      `setDefaultProperties, setLogicalStructure`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

      `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEditProxyConstructor, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit_Layout, onInit, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEditProxyConstructor, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVisibleMember, setVPolicy, showMember, showMember`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focus, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoMaskComponents, getAutoParent, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getTabIndex, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getUseBackMask, getUseDragMask, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, removeChild, removeChild, removePeer, removePeer, removeSnapAlignCandidate, resizeBy, resizeControls, resizeFonts, resizeFonts, resizeTo, resizeTo, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCursor, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setTabIndex, setTitle, setTooltip, setTop, setTop, setUseBackMask, setUseDragMask, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateEditNode, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getById, getByJSObject, getConfig, getDOM, getHandlerCount, getID, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### EventCanvas

          public EventCanvas()

    - #### EventCanvas

          public EventCanvas(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static EventCanvas getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `VLayout`

    - #### setBodyStyle

          public void setBodyStyle(java.lang.String bodyStyle)

      CSS class for the `body area` of the EventCanvas. If unset, defaults to the `base styleName` with the suffix "Body".
      Parameters:
        `bodyStyle` -
      See Also:
        `CSSStyleName . Default value is null`, `Appearance overview and related methods`

    - #### getBodyStyle

          public java.lang.String getBodyStyle()

      CSS class for the `body area` of the EventCanvas. If unset, defaults to the `base styleName` with the suffix "Body".
      Returns:
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### setCalendar

          public void setCalendar(Calendar calendar)
                           throws java.lang.IllegalStateException

      The `Calendar` in which this EventCanvas is being rendered.
      Parameters:
        `calendar` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getCalendar

          public Calendar getCalendar()

      The `Calendar` in which this EventCanvas is being rendered.
      Returns:
        Calendar

    - #### setCalendarView

          public void setCalendarView(CalendarView calendarView)
                               throws java.lang.IllegalStateException

      The `CalendarView` in which this EventCanvas is being rendered.
      Parameters:
        `calendarView` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getCalendarView

          public CalendarView getCalendarView()

      The `CalendarView` in which this EventCanvas is being rendered.
      Returns:
        CalendarView

    - #### setEvent

          public void setEvent(CalendarEvent event)
                        throws java.lang.IllegalStateException

      The `event` associated with this EventCanvas.
      If this method is called after the component has been drawn/initialized: Assigns a new `event` to this EventCanvas, including updates to drag, style and `rollover` properties.
      Parameters:
        `event` - the new event to apply to this EventCanvas. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEvent

          public CalendarEvent getEvent()

      The `event` associated with this EventCanvas.
      Returns:
        CalendarEvent

    - #### getGripper

          public Img getGripper()
                         throws java.lang.IllegalStateException

      When `showGripper` is true, this is the component that will be rendered adjacent to the canvas and allow the canvas to be moved with the mouse.

      This component is an AutoChild named "gripper". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Img
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setGripperIcon

          public void setGripperIcon(java.lang.String gripperIcon)

      The source for the icon displayed as the "gripper" that snaps to the top of an event canvas and allows an event to be dragged with the mouse.
      Parameters:
        `gripperIcon` -
      See Also:
        `SCImgURL . Default value is null`

    - #### getGripperIcon

          public java.lang.String getGripperIcon()

      The source for the icon displayed as the "gripper" that snaps to the top of an event canvas and allows an event to be dragged with the mouse.
      Returns:
      See Also:
        `SCImgURL`

    - #### setHeaderHeight

          public void setHeaderHeight(java.lang.Integer headerHeight)

      The height for the `header area`, when `headerWrap` is false and `showBody` is true. If `showBody` is false, the header area fills the canvas.
      Parameters:
        `headerHeight` - Default value is null
      See Also:
        `Appearance overview and related methods`

    - #### getHeaderHeight

          public java.lang.Integer getHeaderHeight()

      The height for the `header area`, when `headerWrap` is false and `showBody` is true. If `showBody` is false, the header area fills the canvas.
      Returns:
        Integer
      See Also:
        `Appearance overview and related methods`

    - #### setHeaderStyle

          public void setHeaderStyle(java.lang.String headerStyle)

      CSS class for the `header area` of the EventCanvas. If unset, defaults to the `base styleName` with the suffix "Header".
      Parameters:
        `headerStyle` -
      See Also:
        `CSSStyleName . Default value is null`, `Appearance overview and related methods`

    - #### getHeaderStyle

          public java.lang.String getHeaderStyle()

      CSS class for the `header area` of the EventCanvas. If unset, defaults to the `base styleName` with the suffix "Header".
      Returns:
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### setHeaderWrap

          public void setHeaderWrap(java.lang.Boolean headerWrap)

      Whether the `header area` should autosize vertically to display all contents. If true, the header will wrap to multiple lines. If false, the header will be sized according to the specified `height`, or to the full height of the canvas is `showBody` is false.
      Parameters:
        `headerWrap` - Default value is null
      See Also:
        `Appearance overview and related methods`

    - #### getHeaderWrap

          public java.lang.Boolean getHeaderWrap()

      Whether the `header area` should autosize vertically to display all contents. If true, the header will wrap to multiple lines. If false, the header will be sized according to the specified `height`, or to the full height of the canvas is `showBody` is false.
      Returns:
        Boolean
      See Also:
        `Appearance overview and related methods`

    - #### getLabel

          public Label getLabel()
                         throws java.lang.IllegalStateException

      When `showLabel` is true, this autoChild is used to display the `header text`, adjacent to this eventCanvas.

      This component is an AutoChild named "label". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Label
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setShowBody

          public void setShowBody(java.lang.Boolean showBody)

      Renders a body DIV that fills the main area of the canvas, or all of it if no `header` is shown. This area typically displays an `event description`. This area can be styled via `bodyStyle` and the HTML it shows is retrieved from a call to `getBodyHTML()`. The default is taken from `Calendar.showEventDescriptions`.
      Parameters:
        `showBody` - Default value is null

    - #### getShowBody

          public java.lang.Boolean getShowBody()

      Renders a body DIV that fills the main area of the canvas, or all of it if no `header` is shown. This area typically displays an `event description`. This area can be styled via `bodyStyle` and the HTML it shows is retrieved from a call to `getBodyHTML()`. The default is taken from `Calendar.showEventDescriptions`.
      Returns:
        Boolean

    - #### setShowGripper

          public void setShowGripper(java.lang.Boolean showGripper)

      When set to true, shows the `gripper` component, which snaps, centered, to the top edge of the eventCanvas and can be used to move it with the mouse.
      Parameters:
        `showGripper` - Default value is null

    - #### getShowGripper

          public java.lang.Boolean getShowGripper()

      When set to true, shows the `gripper` component, which snaps, centered, to the top edge of the eventCanvas and can be used to move it with the mouse.
      Returns:
        Boolean

    - #### setShowHeader

          public void setShowHeader(java.lang.Boolean showHeader)

      Renders a header DIV above the main body of the event, an area of limited height, styled to stand out from the main `body` of the event, and typically showing a `name` or title - like a Window. This header area can be styled via `headerStyle` and the HTML it shows is retrieved from a call to `getHeaderHTML()`. The default is taken from `Calendar.showEventHeaders`.
      Parameters:
        `showHeader` - Default value is null

    - #### getShowHeader

          public java.lang.Boolean getShowHeader()

      Renders a header DIV above the main body of the event, an area of limited height, styled to stand out from the main `body` of the event, and typically showing a `name` or title - like a Window. This header area can be styled via `headerStyle` and the HTML it shows is retrieved from a call to `getHeaderHTML()`. The default is taken from `Calendar.showEventHeaders`.
      Returns:
        Boolean

    - #### setShowLabel

          public void setShowLabel(java.lang.Boolean showLabel)

      When set to true, the `header text` for the associated event is not rendered inside the eventCanvas itself.

      Instead, it is rendered in it's own `label` and shown as a peer of this eventCanvas, immediately outside of it.

      Parameters:
        `showLabel` - Default value is null

    - #### getShowLabel

          public java.lang.Boolean getShowLabel()

      When set to true, the `header text` for the associated event is not rendered inside the eventCanvas itself.

      Instead, it is rendered in it's own `label` and shown as a peer of this eventCanvas, immediately outside of it.

      Returns:
        Boolean

    - #### setShowRolloverControls

          public void setShowRolloverControls(java.lang.Boolean showRolloverControls)

      When set to the default value of true, this attribute causes a set of components to be shown when the mouse rolls over this EventCanvas. These components include the `close` and `context` buttons, the latter's `context menu` and the images used for drag-resizing.

      Using rollover controls is more efficient that showing static buttons in each eventCanvas, so this is the default behavior. See `Calendar.useEventCanvasRolloverControls` for the alternative.

      Parameters:
        `showRolloverControls` - Default value is true

    - #### getShowRolloverControls

          public java.lang.Boolean getShowRolloverControls()

      When set to the default value of true, this attribute causes a set of components to be shown when the mouse rolls over this EventCanvas. These components include the `close` and `context` buttons, the latter's `context menu` and the images used for drag-resizing.

      Using rollover controls is more efficient that showing static buttons in each eventCanvas, so this is the default behavior. See `Calendar.useEventCanvasRolloverControls` for the alternative.

      Returns:
        Boolean

    - #### setStyleName

          public void setStyleName(java.lang.String styleName)

      The CSS class for this EventCanvas. Defaults to the style on `eventCanvas.event`, if specified, or on the `calendar` otherwise.

      Also see `headerStyle` and `bodyStyle`.

      Overrides:
        `setStyleName` in class `Canvas`
      Parameters:
        `styleName` -
      See Also:
        `CSSStyleName . Default value is null`, `Appearance overview and related methods`

    - #### getStyleName

          public java.lang.String getStyleName()

      The CSS class for this EventCanvas. Defaults to the style on `eventCanvas.event`, if specified, or on the `calendar` otherwise.

      Also see `headerStyle` and `bodyStyle`.

      Overrides:
        `getStyleName` in class `Canvas`
      Returns:
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### setVertical

          public void setVertical(java.lang.Boolean vertical)

      Indicates the orientation of the event in its containing view. Affects drag and resize orientation and which edges of the canvas are available for resizing.
      Overrides:
        `setVertical` in class `Layout`
      Parameters:
        `vertical` - Default value is true

    - #### getVertical

          public java.lang.Boolean getVertical()

      Indicates the orientation of the event in its containing view. Affects drag and resize orientation and which edges of the canvas are available for resizing.
      Overrides:
        `getVertical` in class `Layout`
      Returns:
        Boolean

    - #### getBodyHTML

          public java.lang.String getBodyHTML()

      Return the HTML to show in the body of this EventCanvas. The default implementation calls `Calendar.getEventBodyHTML()`, which returns the value of the `description field` for the current `event`.
      Returns:
        HTML to display in the body of the canvas
      See Also:
        `Appearance overview and related methods`

    - #### getHeaderHTML

          public java.lang.String getHeaderHTML()

      Returns the HTML to show in the header of this EventCanvas. The default implementation returns the `name` of the current `event`.
      Returns:
        HTML to display in the header of the canvas
      See Also:
        `Appearance overview and related methods`

    - #### getInnerHTML

          public java.lang.String getInnerHTML()

      Returns the HTML to show in the EventCanvas as a whole. By default, this method generates one or two styled DIVs, depending on the values of `showHeader` and `showBody`.
      Overrides:
        `getInnerHTML` in class `BaseWidget`
      Returns:
        the innerHTML for this canvas

    - #### setDefaultProperties

          public static void setDefaultProperties(EventCanvas eventCanvasProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `eventCanvasProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.calendar.EventCanvasLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `VLayout`